#
# spec file for package insserv
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           insserv
License:        GPLv2+
Group:          System/Base
Provides:       aaa_base:/sbin/insserv
AutoReqProv:    on
Version:        1.14.0
Release:        20.24.1
Summary:        A Program to Arrange Initialization Scripts
Url:            http://savannah.nongnu.org/projects/sysvinit/
Source0:        http://download.savannah.gnu.org/releases/sysvinit/insserv-%{version}.tar.bz2
Source1:        insserv.conf
Patch:          insserv-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%global         _sysconfdir /etc
%global         _sbindir    /sbin

%description
Insserv enables an installed system init script (boot script) by
reading the comment header of the script and calculating the
dependencies between all scripts.



Authors:
--------
    Dr. Werner Fink <werner@suse.de>

%prep
%setup
%patch

%build
# remove -DOSCBUILD if all packages are fixed
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DOSCBUILD"
make %{?_smp_mflags} INITDIR=%{_sysconfdir}/init.d INSCONF=%{_sysconfdir}/insserv.conf

%install
make install DESTDIR=%{buildroot} INITDIR=%{_sysconfdir}/init.d INSCONF=%{_sysconfdir}/insserv.conf
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/
mkdir -p %{buildroot}%{_datadir}/insserv/overrides

%files
%defattr(-,root,root)
%config %{_sysconfdir}/insserv.conf
%{_sbindir}/insserv
/lib/lsb/*
%{_prefix}/lib/lsb/*
%{_mandir}/man8/insserv.8.gz
%dir %{_datadir}/insserv
%dir %{_datadir}/insserv/overrides

%changelog
* Wed Mar  9 2011 werner@suse.de
- Correct Freudian slip
* Fri Feb 25 2011 werner@suse.de
- Skip `FATAL' key word from messages currently nonfatal
* Thu Feb 10 2011 werner@suse.de
- Linked lists: support prefetch of next pointer address for all
  architectures
* Tue Nov 30 2010 werner@suse.de
- Make temporary the new dependency checks nonfatal
* Fri Nov 26 2010 werner@suse.de
- Warn if dependencies are not done in all runlevel
- Ignore real boot scripts for runlevel services as those
  are already enabled.
* Mon Jun 28 2010 jengelh@medozas.de
- use %%_smp_mflags
* Tue Jun 15 2010 werner@suse.de
- Do not forget the aliases in the makefiles
* Thu Jun 10 2010 werner@suse.de
- Sort dependency lists of the services that is the highest
  dependencies first
* Mon May 31 2010 lmuelle@suse.de
- Change remote_fs dependency from smbfs to cifs due to service rename.
* Fri May  7 2010 werner@suse.de
- Get the value instead the ``X-'' from interactive tag
  this fix Debian bug #580564
* Fri Apr 30 2010 werner@suse.de
- Add the option of recursive enabling all required services
* Thu Apr 29 2010 werner@suse.de
- Add URL of upstream location
* Fri Feb 19 2010 werner@suse.de
- Adopt upstart-job patch to be able to support traditional sysv
  rc execution of upstart jobs. Patch from Petter Reinholdtsen.
- Defend against symlinks in init.d/ to other scripts in init.d/
  Patch from Kel Modderman found at the Debian SVN server.
* Tue Dec  8 2009 jengelh@medozas.de
- enable parallel building
* Wed Aug 19 2009 werner@suse.de
- New version 1.13.0 of insserv
- Use dependency sorting for scripts using $all
* Tue Aug 18 2009 werner@suse.de
- Make $all available for stopping order
* Tue Aug 18 2009 werner@suse.de
- Add better version of the last change, now with initialized flags
  for loop detection during scanning insserv.conf
* Mon Aug 17 2009 coolo@novell.com
- revert the change as it breaks all systems
* Mon Aug 17 2009 werner@suse.de
- Loops within /etc/insserv.conf are real errors
- The system facility $all is special
* Thu Jul 23 2009 werner@suse.de
- Fix expansion of the system facilties
* Thu Jul  2 2009 werner@suse.de
- Correct aligment of allocated pointer
* Mon Jun 29 2009 werner@suse.de
- Make it possible to mark a script as interactive in the LSB
  header its self.
* Mon Mar  9 2009 werner@suse.de
- Add service in .depend.start even if $all only is used (bnc#481182)
* Mon Feb 23 2009 werner@suse.de
- Allow overriding level on the command line (bnc#470654)
* Thu Feb 12 2009 werner@suse.de
- Do not be fooled by inexistent /proc, this may fix bnc#474411
* Thu Oct  9 2008 werner@suse.de
- Don't do this as network-remotefs depends on $network and
  $remote_fs  ... it's better to fix the network-remotefs not
  to shutdown the network if no NetwokManger is running.
* Thu Oct  2 2008 dmueller@suse.de
- fix dependencies of remote_fs
* Fri Sep 12 2008 werner@suse.de
- Don't be fooled by broken symlinks (Patch from Kel Modderman)
* Thu Sep 11 2008 werner@suse.de
- Load first script in argument list before all other scripts. This
  avoids problems with loading scripts in underterministic sequence
  returned by readdir(3) (Patch from Kel Modderman)
* Tue Aug 12 2008 werner@suse.de
- Mention the $null facility
* Tue Jul 29 2008 werner@suse.de
- Resolve server minor problems on openSUSE and Debian
  * Handle the runlevel bit for system boot in lvl2str()
  * Handle dependencies on several script on command line
  * Let link scheme overwrite empty default start/stop tags
* Wed Jul  2 2008 werner@suse.de
- Use prefetch from kernels code for lists
- Make start/stop requirements link to the services its self
- Make -pedantic work
- Be sure that the code is optimized
* Wed Jun 25 2008 werner@suse.de
- Handle provides and service lists in parallel, this should
  reduce the double efforts.
- Calculate start oder and stop order separately
- Sort targets in the makefile accordingly to their order
* Wed Jun 18 2008 werner@suse.de
- Clean out several provides of one specific script, add therefore
  an alias list to the first provide. This makes less work load on
  following the full dependcy trees.
- Use aligned memory allocation to avoid memory fragmentation
- Use reference counts to be able to free not needed memory
- Be able to follow not only the start but also the stop dependcies
* Wed Jun 11 2008 werner@suse.de
- Make kbd interactive to avoid race during tty resize (bnc#259577)
* Wed Jun  4 2008 werner@suse.de
- Scan service links even for non LSB scripts (bnc#391014)
* Wed May 28 2008 dmueller@suse.de
- really remove last reference to boot.setclock (bnc#384254)
* Tue May 20 2008 werner@suse.de
- Remove last occurence of boot.setclock (bnc#384254)
* Thu May 15 2008 werner@suse.de
- Also ignore temporary (mostly?) errors if executed within an rpm
  scriptlet (bnc#385498, bnc#384254)
- Move stat() check for /etc/insserv.conf.d/ configure files
  to scan_conf() otherwise we never scan those files.
* Mon May  5 2008 werner@suse.de
- Ignore temporary errors during update with YaST/zypper (bnc#385498)
* Mon Apr 28 2008 werner@suse.de
- boot.clock was into two scripts for boot and shutdown
  Todo: make insserv knowing about Required-Stop to merge them
  again to one boot.clock.
* Wed Apr  9 2008 mkoenig@suse.de
- add boot.crypto-early to insserv.conf
* Fri Feb  1 2008 werner@suse.de
- Avoid SIGSEGV in functions which can handle NULL pointers
  thanks goes to Petter Reinholdtsen for his report
* Wed Jan 30 2008 werner@suse.de
- New version 1.11.0 of insserv
- Code cleanup, update copyrights, and manual pages
- Use __attribute__ of gcc for better function management
- Use __attribute__ of gcc for alignment of list_t pointers
- Some preparation listing.c for kill link sorting (TODO)
* Thu Jan 24 2008 werner@suse.de
- Add and integrate many patches from Debian svn tree done by
  Petter Reinholdtsen
  * Make it possible to set the path at runtime, to make it easier
    to write test suites
  * Support for reading LSB headers info from override directory
  * Accept script names like 'rc.local' for Debian build
  * Use other defaults on Debian systems (start, stop levels)
  * Put redundant level informations in one API
  * Fix the handling of stop scripts and the shutdown sequence
    on Debian systems
  * Better loop report
  * Make loops fatal if not forced
- Clean the API for listing the services
* Thu Jan 24 2008 werner@suse.de
- Don't run HW clock in parallel mode to have well defined
  timestamps during enabling local fs and running startpar
* Wed Oct 10 2007 werner@suse.de
- Even disabled scripts should be occur in dependcies (#331615)
- Handle return values of strsep in case of several provides
- Do not scan services links if removed later on
* Fri Aug 31 2007 werner@suse.de
- Scan all scripts for Start-Before even if already known (#297214)
- Do not add disabled scripts to the depend files
* Fri Jul 13 2007 werner@suse.de
- Remove hotplug and pcmcia from insserv.conf because they are
  dropped (bug #291417)
* Tue Jun 19 2007 werner@suse.de
- Scan all files in `should start before' even facilities
- Read insserv.conf in other root environments
* Tue May 29 2007 werner@suse.de
- Ignore rcs-files (bug #278520)
* Mon Jan 29 2007 werner@suse.de
- Split insserv.conf off from source tar ball to avoid patching
- Add boot.crypto to $local_fs
- Add smbfs/cifs to $remote_fs
* Mon Jan 22 2007 werner@suse.de
- Add missed `start this script before' feature patch (fate#301269)
* Tue Jan 16 2007 werner@suse.de
- Remove obsolate `$netdaemons' facility (#209380)
- Add `start this script before' feature (fate #301269)
- Create new version 1.09.0 of insserv
* Mon Nov 20 2006 werner@suse.de
- Expand aliases even for services which requires $all (#216202)
* Sat May 27 2006 schwab@suse.de
- Don't strip binaries.
* Mon May 15 2006 werner@suse.de
- Make kdump boot script a interactive script to enforce that this
  script runs not in parallel with other script (#175340, #171332)
* Wed Mar  8 2006 werner@suse.de
- Ignore .orig and .org file (bug #155944)
* Wed Mar  1 2006 werner@suse.de
- Add a few lines about $all into the man page (bug #151561)
* Mon Feb  6 2006 werner@suse.de
- Handle duplets even for interactive scripts
* Tue Jan 31 2006 werner@suse.de
- Be sure to find all interactive scripts and set their unique
  start number.  This solves the problem of two interactive
  scripts in the same start order.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 werner@suse.de
- Fix the broken fix (bug #145403)
* Mon Jan 23 2006 werner@suse.de
- Make missing Provides and Requires non-fatal.
* Fri Jan 20 2006 werner@suse.de
- Fix bug in handling of non-LSB scripts
- Add error condition for broken LSB scripts
- Make calculation of order number somewhat smarter, e.g. do not
  count system facilities.
* Thu Jan 19 2006 werner@suse.de
- Make the restore option work even on broken link scheme
- Don't count empty provides
* Thu Nov 10 2005 werner@suse.de
- Add patches from Petter Reinholdtsen
  * Avoid zero pointer
  * Allow not existing rc ditrectories at dryrun
  * Some more debugging code
  * Map the runlevel scheme into a common struct
* Fri Oct 28 2005 werner@suse.de
- Fix duplet handling in make like service handling (bug #130451)
* Thu Sep 29 2005 dmueller@suse.de
- add norootforbuild
* Thu Sep 15 2005 werner@suse.de
- Add dryrun changes from Petter Reinholdtsen
- First step for support of traditional SystemV link scheme
* Wed May 25 2005 werner@suse.de
- Include confdir patch from Ludwig Nussel
- Bounce version to 1.01.0
* Mon Nov 29 2004 werner@suse.de
- Add some comments about boot script file names.
* Thu Nov 25 2004 werner@suse.de
- Update to 1.00.8 : use correct listing head (bug #48415)
* Thu Nov 25 2004 werner@suse.de
- Update to 1.00.7 : be more verbose on invalid file names
* Tue Nov 23 2004 werner@suse.de
- Update to 1.00.6
* Tue Nov 23 2004 werner@suse.de
- Fix segmentation fault caused by broken cast on reversed scanned
  linkage structure (bug #48415)
* Wed Sep 22 2004 werner@suse.de
- Do not call error recursively if chdir fails (bugzilla #45767)
* Mon Sep 20 2004 werner@suse.de
- Add a few lines about the make like dependency files to the
  manual page of insserv.
* Fri Sep 17 2004 werner@suse.de
- Boot scripts which may call sulogin are INTERACTIVE
* Thu Sep 16 2004 werner@suse.de
- Add dnsmasq and lwresd as optional to system facility named
* Thu Sep  2 2004 werner@suse.de
- Fix dependency of boot.clock also used in single mode (bug#44610)
* Fri Aug 27 2004 werner@suse.de
- Fix dependencies of single script
- Fix $ALL handling for dependency files
- Fix handling of interactive scripts for for dependency files
* Thu Aug 19 2004 werner@suse.de
- Update to 1.00.3 to support dependency files for make calls
* Wed Mar 31 2004 werner@suse.de
- Verbose option and explain exit status in manual page (#37599)
* Thu Mar 18 2004 werner@suse.de
- Remove debug message
* Wed Mar 17 2004 werner@suse.de
- Implement the `$all' feature (bug #36140)
* Wed Mar 10 2004 werner@suse.de
- YAL (Yet Another Loop) fixed (bug #35522)
* Thu Feb 19 2004 werner@suse.de
- Do not create a K* link if no S* link exist.
* Thu Feb 19 2004 werner@suse.de
- More about K* links in /etc/init.d/boot.d
* Tue Feb 17 2004 ro@suse.de
- enable K* (kill) links in /etc/init.d/boot.d
* Wed Oct  1 2003 werner@suse.de
- Allow numbers in initial segment of namespace of scripts (#31793)
* Mon Sep 22 2003 werner@suse.de
- Stop recursive walk on dependency tree hard if a loop is detected
* Tue Sep 16 2003 werner@suse.de
- Add extra flag for ENABLED status of services due the level
  can not used for checking this anymore (bug #31000)
* Mon Sep  1 2003 werner@suse.de
- Move (re)calculation of order of active scripts after the
  calculation of all start orders to hold dependencies unique
* Fri Aug 29 2003 werner@suse.de
- Update to 1.00.0 which fixes the handling of interactive
  services for passphrase input (bug #29375) and enhance
  the calculation of already enabled NONE-LSB scripts.
* Thu Jul  3 2003 werner@suse.de
- Follow LSB specs and specify script functions for proc
  handling (no /sbin in PATH anymore).
* Wed Jun 18 2003 werner@suse.de
- Update to 0.99.9: better handling with not LSB conform scripts
* Thu Jun 12 2003 kukuk@suse.de
- fix filelist
* Wed Apr 16 2003 werner@suse.de
- Update to 0.99.8: be able to remove doubles with -rf
* Sat Mar  8 2003 kukuk@suse.de
- Add /lib/lsb back [Bug #24904]
* Wed Jan 15 2003 ro@suse.de
- split from aaa_base
